summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBenjamin Dauvergne <bdauvergne@entrouvert.com>2014-11-27 17:37:31 (GMT)
committerBenjamin Dauvergne <bdauvergne@entrouvert.com>2014-11-27 17:37:31 (GMT)
commite8d04e49295f53ad6eb81d36106f3015f1a65399 (patch)
treeac49f221db309ac736f5a2d4920ffa8de7b66c48
parent3526038d9c98ddf49b138f8d099b46a4894ff47c (diff)
downloadauthentic2-supann-e8d04e49295f53ad6eb81d36106f3015f1a65399.zip
authentic2-supann-e8d04e49295f53ad6eb81d36106f3015f1a65399.tar.gz
authentic2-supann-e8d04e49295f53ad6eb81d36106f3015f1a65399.tar.bz2
Load fixture to reset default validation of AuthnRequest signatures
-rwxr-xr-xupdate-renater-meta.sh21
1 files changed, 20 insertions, 1 deletions
diff --git a/update-renater-meta.sh b/update-renater-meta.sh
index d37ff28..7068323 100755
--- a/update-renater-meta.sh
+++ b/update-renater-meta.sh
@@ -7,9 +7,10 @@ BASEDIR=`dirname $0`
METADATA_TMP=`tempfile`
FILTERS_TMP=`tempfile`
CERTIFICATE_TMP=`tempfile`
+FIXTURE_TMP=`tmpfile`
function cleanup {
- rm -f $METADATA_TMP $FILTERS_TMP $CERTIFICATE_TMP;
+ rm -f $METADATA_TMP $FILTERS_TMP $CERTIFICATE_TMP $FIXTURE_TMP
}
trap "cleanup" EXIT
@@ -51,5 +52,23 @@ if ! xmlsec1 --verify --id-attr:ID EntitiesDescriptor --pubkey-cert-pem $CERTIFI
exit 1
fi
+# Build fixture
+cat <<EOF >$FIXTURE_TMP
+[
+{
+ "pk": [
+ "Default"
+ ],
+ "model": "saml.libertyproviderpolicy",
+ "fields": {
+ "name": "Default",
+ "authn_request_signature_check_hint": 2
+ }
+}]
+EOF
+
+# Load fixture
+authentic2-ctl loaddata -v0 $FIXTURE_TMP
+
# Load metadataas
authentic2-ctl sync-metadata --source=renater --shibboleth-attribute-filter-policy=$FILTERS_TMP --sp -v1 $METADATA_TMP